FMTUTIL(1)

NAME
fmtutil - utility for maintaining TeX format files

fmtutil-sys - utility for maintaining TeX format files system-wide

SYNOPSIS
fmtutil [OPTION...] COMMAND

fmtutil-sys [OPTION...] COMMAND

DESCRIPTION
fmtutil is used to create or recreate format and hyphenation files or show information about format files. The directory in which fmtutil is found is also preferentially used to find subprograms.

COMMAND is one of:

--all
    recreate all format files

--byengine enginename
    (re)create formats that depend on the engine enginename

--byfmt formatname
    (re)create the format for format formatname

--byhyphen hyphenfile
    (re)create formats that depend on the hyphenation file hyphenfile

--catcfg
    output the content of the config file

--disablefmt formatname
    disable formatname in config file

--edit
    no-op in TeX Live

--enablefmt formatname
    ensable formatname in config file

--help
    print a summary of commands and options

--listcfg
    list (enabled and disabled) configurations, filtered to available formats

--missing
    create all missing format files

--refresh
    recreate only existing format files

--showhyphen formatname
    print the name of the hyphenation file for the format formatname

--version
    show version info

OPTIONS

--cnffile file
    specify the configuration file fmtutil should use

--dolinks
    (not implemented, just for compatibility)

--fmtdir directory
    set the destination directory for format files generated by fmtutil to directory

--force
    (not implemented, just for compatibility)

--no-engine-subdir
    don't use engine-specific subdir of the fmtdir

--no-error-if-no-engine engine1,engine2,...
    exit successfully even if the required engine is missing, if that engine is included in the list here.

--no-error-if-no-format
    exit successfully if no format is selected

--quiet
    be silent

--test
    (not implemented, just for compatibility)

FILES

fmtutil.cnf
    default configuration file; run kpsewhich fmtutil.cnf to see the active file.

The command kpsewhich --engine=/ --all foo.fmt should show the locations of any and all foo.fmt files.

For more information about fmt generation in TeX Live, try "tlmgr --help" or see http://tug.org/texlive/doc/tlmgr.html. The "generate" action in tlmgr does the work.

SEE ALSO
kpsewhich(1)

BUGS
Please send bug reports to <tex-k@tug.org> (public mailing list).

AUTHOR
fmtutil was originally written by Thomas Esser and is in the public domain. It is now maintained as part of TeX Live.

This manual page was written by C.M. Connelly <c@eskimo.com>, for the Debian GNU/Linux system and later slightly adapted for the teTeX 3 release.